<div class="card">
	<div class="card-header">
		<div class="d-flex">
			<i class="fas fa-table mr-1 align-self-center"></i>
			<h5 class="card-title mb-0 flex-fill align-self-center">Listado de Acciones</h5>
			<app-pager-add permission="actions_create"></app-pager-add>
		</div>
	</div>

	<div class="card-body">
		<app-pager-size-filter></app-pager-size-filter>

		<div class="row m-t-15">
			<div class="col-md-12">
				<ngx-datatable appPager (onPager)="getData()" #table>
					<ngx-datatable-column [resizeable]="false" [flexGrow]="2" prop="name" name="Nombre"></ngx-datatable-column>

					<ngx-datatable-column [resizeable]="false" [flexGrow]="2" prop="description" name="Descripción"></ngx-datatable-column>

					<ngx-datatable-column [resizeable]="false" [flexGrow]="1" [sortable]="false" name="Acciones" headerClass="text-center">
						<ng-template ngx-datatable-cell-template let-row="row">
							<div class="text-center">
								<app-pager-button-edit permission="actions_edit" [link]="['edit', row.id]"></app-pager-button-edit>
								<app-pager-button-delete permission="actions_delete" (click)="delete(row)"></app-pager-button-delete>
							</div>
						</ng-template>
					</ngx-datatable-column>
				</ngx-datatable>
			</div>
		</div>
	</div>
</div>
